Lists all configured webhooks
GET
/v1/webhooks
const url = 'https://rms.dev.caspeco.net/api/booking/v1/webhooks';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/webhooks \ --header 'Authorization: Bearer <token>' \ --header 'system: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”A list of all webhooks configured for the api user
Media typeapplication/json
Array<object>
object
id
integer format: int64
event
string
endpoint
string
active
boolean
created
string format: date-time
modified
string format: date-time
changedBy
string
Examplegenerated
[ { "id": 1, "event": "example", "endpoint": "example", "active": true, "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "changedBy": "example" }]